package com.pms.ocp.service;

import com.pms.ocp.model.entity.ModelPropertyVersion;

/**
 * @Auther: wangjian
 * @Date: 2022/4/1 09:47
 * @Description:模型属性版本业务层接口
 */
public interface ModelPropertyVersionService {

    /**
     * 创建模型属性版本信息
     *
     * @param modelPropertyVersion
     * @return
     */
    Integer createModelPropertyVersion(ModelPropertyVersion modelPropertyVersion);

    /**
     * 删除模型属性版本信息
     *
     * @param columnCode
     * @param propId
     * @return
     */
    Integer deleteModelPropertyVersion(String propId, String columnCode);

    /**
     * 更新模型属性版本信息
     *
     * @param modelPropertyVersion
     * @return
     */
    Integer updateModelPropertyVersion(ModelPropertyVersion modelPropertyVersion);

}
